> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getyardo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a document for a booking (tracking ID)



## OpenAPI

````yaml /generated/api-reference/openapi.json post /portal/bookings/{trackingId}/documents
openapi: 3.0.0
info:
  title: Yardo Public API
  description: >-
    Public and partner-facing Yardo API surface for carrier portal and driver
    check-in flows.
  version: 0.1.0
  contact: {}
servers: []
security: []
tags:
  - name: Carrier Portal
  - name: Public Check-In
paths:
  /portal/bookings/{trackingId}/documents:
    post:
      tags:
        - Carrier Portal
      summary: Upload a document for a booking (tracking ID)
      operationId: PortalBookingDocumentsController_uploadDocument
      parameters:
        - name: trackingId
          required: true
          in: path
          schema:
            type: string
        - name: requirementKey
          required: true
          in: query
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
              required:
                - file
      responses:
        '201':
          description: ''

````